#!/usr/bin/env bash

set -euo pipefail

# This kustomization's only purpose is to add the kustomization that is in the
# flxu2/cluster/optional/rocketchat folder. After this kustomization is applied
# an `add-rocketchat` kustomization will be present on the cluster, as well as a
# `rocketchat` kustomization that adds the actual app
flux create kustomization add-rocketchat \
  --source=GitRepository/openappstack \
  --path="./flux2/cluster/optional/rocketchat" \
  --prune=true \
  --interval=10m
