#!/usr/bin/env bash

set -euo pipefail

# This kustomization's only purpose is to add the kustomization that is in the
# flxu2/cluster/optional/velero folder. After this kustomization is applied
# an `add-velero` kustomization will be present on the cluster, as well as a
# `velero` kustomization that adds the actual app
flux create kustomization add-velero \
  --source=GitRepository/openappstack \
  --path="./flux2/cluster/optional/velero" \
  --prune=true \
  --interval=10m
